# Setup the "editMode" style to override the default set cursor when entering
# edit mode. Do this statically, once at load time only:

cache = Date.now()

CSS = """
body.editMode {
    cursor: default;
}
body.editMode.locked, body.editMode.locked:active {
  cursor: not-allowed;
}
body.editMode.resizeHorizontal, body.editMode.resizeHorizontal:active {
   cursor: url('/_server/resources/DeviceImages/cursors/resize-horizontal.png?cache=#{cache}') 12 12, auto;
   cursor: -webkit-image-set(
       url('/_server/resources/DeviceImages/cursors/resize-horizontal.png?cache=#{cache}') 1x,
       url('/_server/resources/DeviceImages/cursors/resize-horizontal@2x.png?cache=#{cache}') 2x
   ) 12 12, auto;
}
body.editMode.resizeVertical, body.editMode.resizeVertical:active {
   cursor: url('/_server/resources/DeviceImages/cursors/resize-vertical.png?cache=#{cache}') 12 12, auto;
   cursor: -webkit-image-set(
       url('/_server/resources/DeviceImages/cursors/resize-vertical.png?cache=#{cache}') 1x,
       url('/_server/resources/DeviceImages/cursors/resize-vertical@2x.png?cache=#{cache}') 2x
   ) 12 12, auto;
}
body.editMode.resizeDiagonalRight, body.editMode.resizeDiagonalRight:active {
   cursor: url('/_server/resources/DeviceImages/cursors/resize-diagonal-right.png?cache=#{cache}') 12 12, auto;
   cursor: -webkit-image-set(
       url('/_server/resources/DeviceImages/cursors/resize-diagonal-right.png?cache=#{cache}') 1x,
       url('/_server/resources/DeviceImages/cursors/resize-diagonal-right@2x.png?cache=#{cache}') 2x
   ) 12 12, auto;
}
body.editMode.resizeDiagonalLeft, body.editMode.resizeDiagonalLeft:active {
   cursor: url('/_server/resources/DeviceImages/cursors/resize-diagonal-left.png?cache=#{cache}') 12 12, auto;
   cursor: -webkit-image-set(
       url('/_server/resources/DeviceImages/cursors/resize-diagonal-left.png?cache=#{cache}') 1x,
       url('/_server/resources/DeviceImages/cursors/resize-diagonal-left@2x.png?cache=#{cache}') 2x
   ) 12 12, auto;
}
body.editMode.rotateBottomLeft, body.editMode.rotateBottomLeft:active {
   cursor: url('/_server/resources/DeviceImages/cursors/rotate-bottom-left.png?cache=#{cache}') 12 12, auto;
   cursor: -webkit-image-set(
       url('/_server/resources/DeviceImages/cursors/rotate-bottom-left.png?cache=#{cache}') 1x,
       url('/_server/resources/DeviceImages/cursors/rotate-bottom-left@2x.png?cache=#{cache}') 2x
   ) 12 12, auto;
}
body.editMode.rotateBottomMid, body.editMode.rotateBottomMid:active {
   cursor: url('/_server/resources/DeviceImages/cursors/rotate-bottom-center.png?cache=#{cache}') 12 12, auto;
   cursor: -webkit-image-set(
       url('/_server/resources/DeviceImages/cursors/rotate-bottom-center.png?cache=#{cache}') 1x,
       url('/_server/resources/DeviceImages/cursors/rotate-bottom-center@2x.png?cache=#{cache}') 2x
   ) 12 12, auto;
}
body.editMode.rotateBottomRight, body.editMode.rotateBottomRight:active {
   cursor: url('/_server/resources/DeviceImages/cursors/rotate-bottom-right.png?cache=#{cache}') 12 12, auto;
   cursor: -webkit-image-set(
       url('/_server/resources/DeviceImages/cursors/rotate-bottom-right.png?cache=#{cache}') 1x,
       url('/_server/resources/DeviceImages/cursors/rotate-bottom-right@2x.png?cache=#{cache}') 2x
   ) 12 12, auto;
}
body.editMode.rotateMidLeft, body.editMode.rotateMidLeft:active {
   cursor: url('/_server/resources/DeviceImages/cursors/rotate-mid-left.png?cache=#{cache}') 12 12, auto;
   cursor: -webkit-image-set(
       url('/_server/resources/DeviceImages/cursors/rotate-mid-left.png?cache=#{cache}') 1x,
       url('/_server/resources/DeviceImages/cursors/rotate-mid-left@2x.png?cache=#{cache}') 2x
   ) 12 12, auto;
}
body.editMode.rotateMidRight, body.editMode.rotateMidRight:active {
   cursor: url('/_server/resources/DeviceImages/cursors/rotate-mid-right.png?cache=#{cache}') 12 12, auto;
   cursor: -webkit-image-set(
       url('/_server/resources/DeviceImages/cursors/rotate-mid-right.png?cache=#{cache}') 1x,
       url('/_server/resources/DeviceImages/cursors/rotate-mid-right@2x.png?cache=#{cache}') 2x
   ) 12 12, auto;
}
body.editMode.rotateTopLeft, body.editMode.rotateTopLeft:active {
   cursor: url('/_server/resources/DeviceImages/cursors/rotate-top-left.png?cache=#{cache}') 12 12, auto;
   cursor: -webkit-image-set(
       url('/_server/resources/DeviceImages/cursors/rotate-top-left.png?cache=#{cache}') 1x,
       url('/_server/resources/DeviceImages/cursors/rotate-top-left@2x.png?cache=#{cache}') 2x
   ) 12 12, auto;
}
body.editMode.rotateTopMid, body.editMode.rotateTopMid:active {
   cursor: url('/_server/resources/DeviceImages/cursors/rotate-top-center.png?cache=#{cache}') 12 12, auto;
   cursor: -webkit-image-set(
       url('/_server/resources/DeviceImages/cursors/rotate-top-center.png?cache=#{cache}') 1x,
       url('/_server/resources/DeviceImages/cursors/rotate-top-center@2x.png?cache=#{cache}') 2x
   ) 12 12, auto;
}
body.editMode.rotateTopRight, body.editMode.rotateTopRight:active {
   cursor: url('/_server/resources/DeviceImages/cursors/rotate-top-right.png?cache=#{cache}') 12 12, auto;
   cursor: -webkit-image-set(
       url('/_server/resources/DeviceImages/cursors/rotate-top-right.png?cache=#{cache}') 1x,
       url('/_server/resources/DeviceImages/cursors/rotate-top-right@2x.png?cache=#{cache}') 2x
   ) 12 12, auto;
}
"""
Utils.domComplete -> Utils.insertCSS(CSS)
